# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIntSpinBox Class Reference

A QSpinBox with support for arbitrary base numbers. More...

`#include <knuminput.h>`

Inheritance diagram for KIntSpinBox:

[legend]
Collaboration diagram for KIntSpinBox:

[legend]
List of all members.

## Public Member Functions

| KIntSpinBox (QWidget *parent=0, const char *name=0)
| KIntSpinBox (int lower, int upper, int step, int value, int base=10, QWidget *parent=0, const char *name=0)
virtual | ~KIntSpinBox ()
void | setBase (int base)
int | base () const
void | setEditFocus (bool mark)

## Protected Member Functions

virtual QString | mapValueToText (int)
virtual int | mapTextToValue (bool *)
virtual void | virtual_hook (int id, void *data)

## Properties

int | base

## Detailed Description

A QSpinBox with support for arbitrary base numbers.

A QSpinBox with support for arbitrary base numbers (e.g. hexadecimal).

The class provides an easy interface to use other numeric systems than the decimal.

Definition at line 704 of file knuminput.h.

## Constructor & Destructor Documentation

KIntSpinBox::KIntSpinBox | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |

| Constructor. Constructs a widget with an integer inputline with a little scrollbar and a slider, with minimal value 0, maximal value 99, step 1, base 10 and initial value 0. Definition at line 204 of file knuminput.cpp. References QSpinBox::editor(), and QSpinBox::setValue().

KIntSpinBox::KIntSpinBox | ( | int | lower,
|  | int | upper,
|  | int | step,
|  | int | value,
|  | int | base = `10`,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |

Constructor.

Constructs a widget with an integer inputline with a little scrollbar and a slider.

Parameters:

  | lower | The lowest valid value.
  | upper | The greatest valid value.
  | step | The step size of the scrollbar.
  | value | The actual value.
  | base | The base of the used number system.
  | parent | The parent of the widget.
  | name | The Name of the widget.

Definition at line 216 of file knuminput.cpp.

References QSpinBox::editor(), and QSpinBox::setValue().

KIntSpinBox::~KIntSpinBox | ( |  | ) | `[virtual]`

| Destructor. Definition at line 212 of file knuminput.cpp.

## Member Function Documentation

void KIntSpinBox::setBase | ( | int | base | ) |

| Sets the base in which the numbers in the spin box are represented. Definition at line 225 of file knuminput.cpp.

int KIntSpinBox::base | ( |  | ) | const

Returns:
  the base in which numbers in the spin box are represented.

void KIntSpinBox::setEditFocus | ( | bool | mark | ) |

| sets focus and optionally marks all text Definition at line 246 of file knuminput.cpp. References QSpinBox::editor(). Referenced by KIntNumInput::setEditFocus().

QString KIntSpinBox::mapValueToText | ( | int |  | ) | `[protected, virtual]`

| Overloaded the method in QSpinBox to make use of the base given in the constructor. Reimplemented from QSpinBox. Definition at line 236 of file knuminput.cpp. References QString::number().

int KIntSpinBox::mapTextToValue | ( | bool * |  | ) | `[protected, virtual]`

| Overloaded the method in QSpinBox to make use of the base given in the constructor. Reimplemented from QSpinBox. Definition at line 241 of file knuminput.cpp. References QSpinBox::cleanText(), and QString::toInt().

The documentation for this class was generated from the following files:

- knuminput.h
- knuminput.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:28 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003